### Eclipse Workspace Patch 1.0
#P Spark
Index: src/plugins/fastpath/src/java/org/jivesoftware/fastpath/workspace/panes/OnlineAgents.java
===================================================================
--- src/plugins/fastpath/src/java/org/jivesoftware/fastpath/workspace/panes/OnlineAgents.java	(revision 10957)
+++ src/plugins/fastpath/src/java/org/jivesoftware/fastpath/workspace/panes/OnlineAgents.java	(working copy)
@@ -156,7 +156,7 @@
                         nickname = agent;
                     }
 
-                    ContactItem item = new ContactItem(nickname, agent) {
+                    ContactItem item = new ContactItem("",nickname, agent) {
                         public String getToolTipText() {
                             Presence agentPresence = agentRoster.getPresence(agent);
                             return buildTooltip(agentPresence);
@@ -289,7 +289,7 @@
 
             Presence agentPresence = agentRoster.getPresence(agent);
             if (agentPresence.isAvailable()) {
-                ContactItem item = new ContactItem(nickname, agent) {
+                ContactItem item = new ContactItem("",nickname, agent) {
                     public String getToolTipText() {
                         Presence agentPresence = agentRoster.getPresence(agent);
                         return buildTooltip(agentPresence);
@@ -332,7 +332,7 @@
                     if (nickname == null) {
                         nickname = agent;
                     }
-                    ContactItem contactItem = new ContactItem(nickname, StringUtils.parseBareAddress(presence.getFrom()));
+                    ContactItem contactItem = new ContactItem("",nickname, StringUtils.parseBareAddress(presence.getFrom()));
                     contactItem.setPresence(presence);
                     contactGroup.addContactItem(contactItem);
                 }
Index: src/java/org/jivesoftware/spark/ui/RetryPanel.java
===================================================================
--- src/java/org/jivesoftware/spark/ui/RetryPanel.java	(revision 10957)
+++ src/java/org/jivesoftware/spark/ui/RetryPanel.java	(working copy)
@@ -89,7 +89,7 @@
     private void reconnect() {
         try {
             if (closedOnError) {
-                ReconnectionManager.forceReconnection();
+            	SparkManager.getConnection().connect();
             }
             else {
                 SparkManager.getMainWindow().logout(false);
Index: src/java/org/jivesoftware/LoginDialog.java
===================================================================
--- src/java/org/jivesoftware/LoginDialog.java	(revision 10957)
+++ src/java/org/jivesoftware/LoginDialog.java	(working copy)
@@ -821,6 +821,11 @@
 
 
                     }
+                    
+                    config.setReconnectionAllowed(true);
+                    config.setRosterLoadedAtLogin(true);
+                    config.setSendPresence(false);
+                    
                     if (localPref.isPKIEnabled()) {
                         SASLAuthentication.supportSASLMechanism("EXTERNAL");
                         config.setKeystoreType(localPref.getPKIStore());
@@ -840,8 +845,7 @@
                         }
                     }
 
-                    if (config != null) {
-                        config.setReconnectionAllowed(true);
+                    if (config != null) {                        
                         boolean compressionEnabled = localPref.isCompressionEnabled();
                         config.setCompressionEnabled(compressionEnabled);
                         connection = new XMPPConnection(config,this);
@@ -850,14 +854,14 @@
                             config.setTruststorePassword(localPref.getTrustStorePassword());
                         }
                     }
-
+                    
                     connection.connect();
 
                     String resource = localPref.getResource();
                     if (!ModelUtil.hasLength(resource)) {
                         resource = "spark";
-                    }
-                    connection.login(getUsername(), getPassword(), resource, false);
+                    }                   
+                    connection.login(getUsername(), getPassword(), resource);
 
                     sessionManager.setServerAddress(connection.getServiceName());
                     sessionManager.initializeSession(connection, getUsername(), getPassword());
